# Uses of Interface
org.eclipse.birt.report.engine.emitter.IEmitterServices

Packages that use IEmitterServices
Package
Description
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IEmitterServices in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IEmitterServices
Modifier and Type
Method
Description
`void`
IContentEmitter.`initialize(IEmitterServices service)`
Initialize the emitter